unit channel_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Buttons,
  RTTICtrls, param_config;

type

  { TChannelForm }

  TChannelForm = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    CanalSpin: TTISpinEdit;
    procedure CambiarClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  ChannelForm: TChannelForm;

implementation

{$R *.lfm}

{ TChannelForm }
var
  oldChannel: Byte;

procedure TChannelForm.CambiarClick(Sender: TObject);
begin

end;

procedure TChannelForm.CancelBtnClick(Sender: TObject);
begin
    Close;
end;

procedure TChannelForm.FormShow(Sender: TObject);
begin
  CanalSpin.Value      := CHANNEL;
  oldChannel           := CHANNEL;
  ChannelHasChanged    := FALSE;
end;

procedure TChannelForm.OKBtnClick(Sender: TObject);
begin
  if (oldChannel<> CanalSpin.Value) then
  begin
    ChannelHasChanged := TRUE;
    CHANNEL := CanalSpin.Value;
  end;
end;

procedure TChannelForm.SpeedButton1Click(Sender: TObject);
begin

end;

end.

