unit alarm_select_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { TAlarmSelectForm }

  TAlarmSelectForm = class(TForm)
    CancelButton: TBitBtn;
    AlarmSelectBox: TComboBox;
    ACKButton: TBitBtn;
    AlarmLabel: TLabel;
    procedure AlarmSelectBoxSelect(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    ListaAlarmas: Tstrings;
    OptionSelected: Integer;
    SelectedString: String;
  end; 

var
  AlarmSelectForm: TAlarmSelectForm;

implementation

{$R *.lfm}

{ TAlarmSelectForm }

procedure TAlarmSelectForm.FormShow(Sender: TObject);
begin
    AlarmSelectBox.Items:=ListaAlarmas;
end;

procedure TAlarmSelectForm.CancelButtonClick(Sender: TObject);
begin
    Close;
end;

procedure TAlarmSelectForm.AlarmSelectBoxSelect(Sender: TObject);
begin
     SelectedString:=AlarmSelectBox.Text;
end;

end.

