/* vi: set number syntax=c ruler smartindent autoindent tabstop=8 shiftwidth=8 : */
#ifndef ALARM_DEF_H
#define ALARM_DEF_H


typedef enum {
	TEMP_ALARM		= 400,
	N			= 15,
	BAT_LVL_ALARM		= 400,
	L			= 10,
	M			= 10,
	DEF_TEMP_ALARM_SECS	= N,
	DEF_TEMP_ALARM_THRESHOLD= TEMP_ALARM,
	DEF_BATT_ALARM_SECS	= L,
	DEF_BATT_ALARM_THRESHOLD= BAT_LVL_ALARM,
	DEF_DEBUG_SECS		= M,
	RESEND_S_TMOUT		= 5,
	REBOOT_PARM		= 3*1024

} def_alarm;

#endif


