 /* vi: set number syntax=c ruler smartindent autoindent tabstop=8 shiftwidth=8 : */
#ifndef PARSE_DEF_H
#define PARSE_DEF_H

typedef struct nibbles {
	uint8_t		lbln :4;
	uint8_t		lbhn :4;
	uint8_t		hbln :4;
	uint8_t		hbhn :4;
} nibbles;

typedef struct bytes {
	uint8_t		hb;
	uint8_t		lb;
} bytes;

typedef union ui16_n{
	uint16_t	whole;
	bytes		b;	
	nibbles		n;
} ui16_n;
#endif
